﻿$ErrorActionPreference = 'Stop'

$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/spf13/hugo/releases/download/v$($env:ChocolateyPackageVersion)/hugo_$($env:ChocolateyPackageVersion)_Windows-32bit.zip"
$url64      = "https://github.com/spf13/hugo/releases/download/v$($env:ChocolateyPackageVersion)/hugo_$($env:ChocolateyPackageVersion)_Windows-64bit.zip"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '8E174B9890BA25B8E1C74DC6F4413EFA6EA054C5E4720898A52D9107153841E0'
  checksumType  = 'sha256'
  checksum64    = 'CA397776B6BC6FF495B99907728D6BF654DCAC44330D2EC99DD9138A8944EB3D'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
